<?php
/*
Plugin Name: 	Domain For Sale Pro
Plugin URI: 	https://www.themeatelier.net
Description: 	Creative and professional auction and domain for sale WordPress Plugin.
Author: 		20script
Version: 		2.1.1
Author URI: 	https://www.20script.ir
Requirements:   PHP 5.2.4 or above, WordPress 5.4 or above.
Text Domain:  ta-dfs
Domain Path:  /languages
*/

// Block Direct access
if (!defined('ABSPATH')) {
    die('You should not access this file directly!.');
}

// Define Constants for direct access alert message.
if (!defined('DFS_ALERT_MSG'))
    define('DFS_ALERT_MSG', esc_html__('You should not access this file directly.!', 'ta-dfs'));

// Define constants for plugin directory path.
if (!defined('DFS_DIR_PATH'))
    define('DFS_DIR_PATH', plugin_dir_path(__FILE__));

// Define constants for plugin directory URL.
if (!defined('DFS_DIR_URL'))
    define('DFS_DIR_URL', plugin_dir_url(__FILE__));

// load text domain from plugin folder
function dfs_load_textdomain()
{
    load_plugin_textdomain('', false, dirname(__FILE__) . "/languages");
}

add_action("plugins_loaded", 'dfs_load_textdomain');

// Plugin settings in plugin list
add_filter('plugin_action_links_' . plugin_basename(__FILE__), 'dfs_settings_link');
function dfs_settings_link(array $links)
{
    $url = get_admin_url() . "admin.php?page=dfs";
    $settings_link = '<a href="' . esc_url($url) . '">' . esc_html__('Settings', 'ta-dfs') . '</a>';
    $links[] = $settings_link;
    return $links;
}

// Script enqueue class include
require_once DFS_DIR_PATH . 'inc/functions.php';
// include framework for admin panel
require_once DFS_DIR_PATH . 'admin/codestar-framework.php';
require_once DFS_DIR_PATH . 'inc/dfs-plugin-options.php';
require_once DFS_DIR_PATH . 'inc/contact-form-shortcode.php';

/********************
	    - Front end -
 ********************/
add_action('template_redirect', 'domina_domain_for_sale');
function domina_domain_for_sale()
{
    $options = get_option('dfs-opt');
    if ($options['dfs-enable']) {
        include(DFS_DIR_PATH . 'templates/index.php');
        die();
    };
}
