<?php $options = get_option('dfs-opt'); ?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- Document Title -->
    <title><?php echo esc_html($options['dfs-sitetitle']); ?></title>
    <!-- Meta -->
    <meta name="description" content="<?php echo esc_attr($options['dfs-sitedescription']); ?>">
    <meta name="keywords" content="<?php echo esc_attr($options['dfs-sitekeywords']); ?>">
    <?php if ($options['dfs-favicon']) : ?>
    <!-- Favicon -->
    <link rel="shortcut icon" href="<?php echo esc_attr($options['dfs-favicon']); ?>" type="image/x-icon">
    <?php endif; ?>

    <?php wp_head(); ?>
</head>

<body>

    <?php if ($options['dfs-version'] === '1') : ?>
    <!-- V1 Wrapper Start -->
    <div class="wrapper">
        <!-- Banner Section Start -->
        <div class="banner--section style--2 bg--overlay bg--overlay-fixed"
            style="background-image:url('<?php echo esc_attr($options['dfs-background']['background-image']['url']); ?>');background-repeat:<?php echo esc_attr($options['dfs-background']['background-repeat']); ?>;background-position:<?php echo esc_attr($options['dfs-background']['background-position']); ?>;background-size:<?php echo esc_attr($options['dfs-background']['background-size']); ?>">
            <!-- Banner Content Start -->
            <div class="banner--content text-center">
                <div class="vc--parent">
                    <div class="vc--child">
                        <div class="container-fluid">
                            <div class="title">

                                <?php if ($options['dfs-domainname']) : ?>
                                <h1 class="h1 text-uppercase"><?php echo esc_attr($options['dfs-domainname']); ?></h1>
                                <?php endif; ?>

                                <?php if ($options['dfs-pricetag']) : ?>
                                <p class="tag"><?php echo esc_attr($options['dfs-pricetag']); ?></p>
                                <?php endif; ?>
                            </div>
                            <?php if ($options['dfs-saletitle']) : ?>
                            <div class="sub-title">
                                <h2 class="h1"><?php echo esc_attr($options['dfs-saletitle']); ?></h2>
                            </div>
                            <?php endif; ?>

                            <?php if ($options['dfs-content']) : ?>
                            <div class="content">
                                <p><?php echo wp_kses_post($options['dfs-content']); ?></p>
                            </div>
                            <?php endif; ?>

                            <div class="info">
                                <?php if ($options['dfs-contacttitle']) : ?>
                                <div class="title">
                                    <p><?php echo esc_attr($options['dfs-contacttitle']); ?></p>
                                </div>
                                <?php endif; ?>
                                <?php foreach ($options['dfs-contactinfos'] as $contact) { ?>
                                <p><i class="<?php echo esc_html($contact['contactinfos-icon']); ?>"></i>
                                    <?php echo esc_html($contact['contactinfos-text']); ?></p>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Banner Content End -->

            <!-- Banner Form Start -->
            <div class="banner--form">
                <div class="vc--parent">
                    <div class="vc--child">
                        <div class="container-fluid">
                            <?php echo do_shortcode('[dfs_contact_form]'); ?>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Banner Form End -->
        </div>
        <!-- Banner Section End -->
    </div>
    <!-- V1 Wrapper End -->
    <?php elseif ($options['dfs-version'] === '2') : ?>
    <!-- V2 Wrapper Start -->
    <div class="wrapper">
        <!-- Banner Section Start -->
        <div class="banner--section style--3 bg--overlay bg--overlay-fixed"
            style="background-image:url('<?php echo esc_attr($options['dfs-background']['background-image']['url']); ?>');background-repeat:<?php echo esc_attr($options['dfs-background']['background-repeat']); ?>;background-position:<?php echo esc_attr($options['dfs-background']['background-position']); ?>;background-size:<?php echo esc_attr($options['dfs-background']['background-size']); ?>">
            <!-- Banner Content Start -->
            <div class="banner--content text-center">
                <div class="vc--parent">
                    <div class="vc--child">
                        <div class="container-fluid">
                            <div class="title">
                                <?php if ($options['dfs-domainname']) : ?>
                                <h1 class="h1 text-uppercase"><?php echo esc_attr($options['dfs-domainname']); ?></h1>
                                <?php endif; ?>
                                <?php if ($options['dfs-pricetag']) : ?>
                                <p class="tag"><?php echo esc_attr($options['dfs-pricetag']); ?></p>
                                <?php endif; ?>

                            </div>


                            <?php if ($options['dfs-saletitle']) : ?>
                            <div class="sub-title">
                                <h2 class="h1"><?php echo esc_attr($options['dfs-saletitle']); ?></h2>
                            </div>
                            <?php endif; ?>

                            <?php if ($options['dfs-content']) : ?>
                            <div class="content">
                                <p><?php echo esc_attr($options['dfs-content']); ?></p>
                            </div>
                            <?php endif; ?>

                            <div class="info">
                                <?php if ($options['dfs-contacttitle']) : ?>
                                <div class="title">
                                    <p><?php echo esc_attr($options['dfs-contacttitle']); ?></p>
                                </div>
                                <?php endif; ?>
                                <?php foreach ($options['dfs-contactinfos'] as $contact) { ?>
                                <p><i class="<?php echo esc_html($contact['contactinfos-icon']); ?>"></i>
                                    <?php echo esc_html($contact['contactinfos-text']); ?></p>
                                <?php } ?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <!-- Banner Content End -->



            <!-- Banner FAQ Start -->
            <div class="banner--faq">
                <div class="vc--parent">
                    <div class="vc--child">
                        <div class="container-fluid">
                            <!-- FAQ Items Start -->
                            <div class="faq--items panel-group" id="faqItems">

                                <?php if ($options['dfs-moredomainTitle']) : ?>
                                <h4 class="h3 title"><?php echo esc_attr($options['dfs-moredomainTitle']); ?></h4>
                                <?php endif; ?>

                                <!-- FAQ Item Start -->
                                <div id="domainItems">

                                    <?php foreach ($options['dfs-moredomains'] as $index => $domain) { ?>

                                    <div class="faq--item panel">
                                        <div class="panel-heading">
                                            <h3 class="panel-title">
                                                <a href="#faqItem<?php echo $index; ?>" data-bs-toggle="collapse"
                                                    data-bs-target="#faqItem<?php echo $index; ?>" aria-expanded="true"
                                                    aria-controls="faqItem<?php echo $index; ?>">
                                                    <span><?php echo esc_attr($domain['moredomains-title']); ?></span>
                                                </a>
                                            </h3>

                                            <a href="<?php echo esc_html($domain['moredomains-link']['url']); ?>"
                                                class="btn-link" target="_blank"><i
                                                    class="fa fa-external-link-alt"></i></a>
                                        </div>

                                        <div id="faqItem<?php echo $index; ?>"
                                            class="panel-collapse collapse <?php if ($index == 0) : ?> show <?php endif; ?>"
                                            aria-labelledby="faqItem<?php echo $index; ?>"
                                            data-bs-parent="#domainItems">
                                            <div class="panel-body">
                                                <p><?php echo esc_html($domain['moredomains-content']); ?></p>
                                            </div>
                                        </div>
                                    </div>
                                    <!-- FAQ Item End -->
                                    <?php } ?>


                                </div>

                            </div>
                            <!-- FAQ Items End -->
                        </div>
                    </div>
                </div>
            </div>
            <!-- Banner FAQ End -->

            <!-- Banner Popup Start -->
            <div class="banner--popup">
                <a href="#bannerForm" class="btn collapsed" data-bs-toggle="collapse"><i class="fa fa-plus"></i></a>

                <!-- Banner Form Start -->
                <div id="bannerForm" class="banner--form collapse">
                    <div class="vc--parent">
                        <div class="vc--child">
                            <div class="container-fluid">

                                <?php echo do_shortcode('[dfs_contact_form]'); ?>

                            </div>
                        </div>
                    </div>
                </div>
                <!-- Banner Form End -->
            </div>
            <!-- Banner Popup End -->
        </div>
        <!-- Banner Section End -->
    </div>
    <!-- Wrapper End -->
    <!-- V2 Wrapper end -->

    <?php endif; ?>
    <?php wp_footer(); ?>
</body>

</html>